package cn.com.qmth.stmms.biz.exam.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.UserStudent;

public interface UserStudentDao extends PagingAndSortingRepository<UserStudent, Integer>, JpaSpecificationExecutor<UserStudent> {

	int countByUserId(Integer userId);

	void deleteByUserId(Integer userId);

}
