package cn.com.qmth.stmms.biz.basic.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.basic.model.RoleInfo;
import cn.com.qmth.stmms.common.enums.Role;

public interface RoleInfoDao extends PagingAndSortingRepository<RoleInfo, Integer>, JpaSpecificationExecutor<RoleInfo>,
        JpaRepository<RoleInfo, Integer> {

	RoleInfo findBySchoolIdAndCode(Integer schoolId, Role role);


}
