<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>配置管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>类型</th>
				<th>详情</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${list}" var="config">
			<tr>
				<td>${config.type.name}</td>
				<td>
				<c:if test="${config.type.value==3 ||config.type.value==4}">
        			<c:if test="${config.description=='on'}">开启</c:if>
        			<c:if test="${config.description!='on'}">关闭</c:if>
        		</c:if>
        		<c:if test="${config.type.value!=3 && config.type.value!=4 }">
				${config.description}
        		</c:if>
				</td>
				<td>
					<a href="${ctx}/admin/sys/config/edit?id=${config.id}">修改</a>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
</body>
</html>